[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiStartsStr

Check whether a string starts with a given substring, observing case

## Declaration

Source position: strutils.pp line 42

`function AnsiStartsStr(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Arguments

`ASubText` |  | Substring to check for
`AText` |  | String to check in

## Function result

True if the given string starts with the substring, False if not.

## Description

AnsiStartsStr checks AText to see whether it starts with ASubText , and returns True if it does, False if not. The check is performed case-sensitive. Basically, it checks whether the position of ASubText equals 1.

## See also

AnsiEndsStr |  | Check whether a string ends with a certain substring
AnsiStartsStr |  | Check whether a string starts with a given substring, observing case
AnsiIndexStr |  | Searches, observing case, for a string in an array of strings.
AnsiContainsStr |  | Checks whether a string contains a given substring

Documentation generated on: Feb 26 2014